confget (3.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Peter Pentchev <roam@debian.org>  Wed, 12 May 2021 12:15:34 +0300

confget (3.0.0-1) experimental; urgency=medium

  * New upstream release, update the upstream copyright years.
  * Add the year 2021 to my debian/* copyright notice.
  * Declare compliance with Policy 4.5.1 with no changes.
  * Update the git-buildpackage config for the experimental branch.

 -- Peter Pentchev <roam@debian.org>  Tue, 11 May 2021 22:12:02 +0300

confget (2.3.4-1) unstable; urgency=medium

  * Go back to the B-D: debhelper-compat way now that dh 13 is out.
  * Correct the upstream copyright years (add the year 2020).
  * Drop the Name and Contact upstream metadata fields.
  * New upstream release:
    - refresh the python-no-executable patch
    - adapt the test target to the moved confget Python source

 -- Peter Pentchev <roam@debian.org>  Sat, 02 May 2020 22:30:35 +0300

confget (2.3.3-1) unstable; urgency=medium

  * Temporarily disable the adequate test.
  * New upstream release:
    - refresh the python-no-executable patch
  * Simplify the rules file inspired by some suggestions from Niels Thykier:
    - use debian/clean to remove the Python directories
    - configure pybuild and pytest through the environment
    - separate the -arch and -indep builds
    - add the no-doc-build patch to simplify the build
  * Drop the no-dh-sequencer override, it was only there to silence
    a Lintian false positive that was fixed in Lintian 2.51.0.

 -- Peter Pentchev <roam@debian.org>  Tue, 07 Apr 2020 17:43:38 +0300

confget (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Depend on debhelper >> 12.8~ for execute_after.

 -- Peter Pentchev <roam@debian.org>  Wed, 01 Apr 2020 12:10:20 +0300

confget (2.3.0-2) unstable; urgency=medium

  * Mark test-only build dependencies with <!nocheck>.
  * Declare compliance with Policy 4.5.0 with no changes.
  * Override the "no dh sequencer" Lintian info tag.
  * autopkgtest: supported, not installed, Python versions.
  * Add the year 2020 to my debian/* copyright notice.
  * Bump the debhelper compatibility level to 13:
    - reintroduce the debian/compat file while compat level 13 is
      still in beta
    - drop the conditional around the "auto_test" target - debhelper
      will not execute it at all unless it is needed
    - use "execute_after" for the "auto_clean" target
    - drop the "dh_missing" override; "--fail-missing" is the default now

 -- Peter Pentchev <roam@debian.org>  Fri, 20 Mar 2020 01:45:56 +0200

confget (2.3.0-1) unstable; urgency=medium

  * New upstream version:
    - drop the test-too-many-pypy patch, integrated upstream
    - refresh the python-no-executable patch
  * Declare compliance with Debian Policy 4.4.0 with no changes.
  * Drop the PyPy package.
  * Drop the Python 2.x package, too.  Closes: #936324
  * Mark the adequate and feature-check tests as superficial.

 -- Peter Pentchev <roam@debian.org>  Mon, 09 Sep 2019 16:15:03 +0300

confget (2.2.0-4) unstable; urgency=medium

  * Use the test-name autopkgtest feature.

 -- Peter Pentchev <roam@debian.org>  Wed, 27 Feb 2019 00:44:26 +0200

confget (2.2.0-3) unstable; urgency=medium

  * Switch to a DEP-14 debian/master branch.

 -- Peter Pentchev <roam@debian.org>  Thu, 14 Feb 2019 18:04:50 +0200

confget (2.2.0-2) unstable; urgency=medium

  * Move the Python build dependencies to Build-Depends-Indep and
    only use the Python buildsystem when available, thus allowing
    confget to actually build on architectures where PyPy is not
    available yet.

 -- Peter Pentchev <roam@debian.org>  Tue, 15 Jan 2019 14:45:18 +0200

confget (2.2.0-1) unstable; urgency=medium

  * New upstream version:
    - update the upstream copyright years
    - build the Python 2.x, 3.x, and PyPy modules
    - run the TAP tests (both at build time and via autopkgtest) with
      the Python modules, too, not only with the C executable
  * Add the year 2019 to my debian/* copyright notice.
  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Bump the debhelper compatibility level to 12 with no changes.
  * Add a trivial git-buildpackage config file.
  * Conditionally run some commands in the rules file depending on which
    packages are being built.
  * Change DEB_NODOC to BUILD_DOC for consistency.
  * Check for "nocheck" in DEB_BUILD_OPTIONS before running tests.
  * Break out the autopkgtests's "is the documentation installed" check
    into a separate tool.
  * Run `dh_missing --fail-missing`.

 -- Peter Pentchev <roam@debian.org>  Mon, 14 Jan 2019 12:38:52 +0200

confget (2.1.1-1) unstable; urgency=medium

  * Build-depend on debhelper 11 and use the B-D: debhelper-compat (= 11)
    mechanism.
  * Bump the year on my debian/* copyright notice.
  * Use my Debian e-mail address.
  * Bring up to compliance with Debian Policy 4.2.1: install the upstream
    release notes (CHANGES) as NEWS and not changelog.
  * Add trivial autopkgtests running adequate and feature-check.
  * Minimize the upstream signing key, only keep the roam@ringlet.net UID.
  * New upstream version.

 -- Peter Pentchev <roam@debian.org>  Tue, 27 Nov 2018 11:12:44 +0200

confget (2.1.0-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.1 with no changes.
  * Let dpkg-buildflags take care of the LFS compiler and linker flags.
  * New upstream version; update the copyright years.
  * Add "Rules-Requires-Root: no" to the source control stanza and
    override the upstream Makefile's install(1) invocations.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 11 Nov 2017 23:21:21 +0200

confget (2.0.0-3) unstable; urgency=medium

  * Update the package for compliance with Debian Policy 4.1.0:
    - do not install the example files and the manual page if "nodoc" is
      specified in DEB_BUILD_OPTIONS or the "nodoc" build profile is active
    - use the source t/ directory in the autopkgtest suite since
      /usr/share/doc/confget/examples/tests/ will not exist with "nodoc"
    - drop the implied "Testsuite: autopkgtest" source control header
  * Bump the debhelper compatibility level to 11 and the build dependency
    to 10.8~.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 25 Sep 2017 12:24:14 +0300

confget (2.0.0-2) unstable; urgency=medium

  * Depend on debhelper 10 now that it is in unstable, testing, and
    jessie-backports.  Drop the Lintian override about the version.
  * Switch to the HTTPS scheme for various Debian and upstream URLs.
  * Use the v4 substitution variables in the watch file.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 17 Nov 2016 13:53:02 +0200

confget (2.0.0-1) unstable; urgency=medium

  * Use export-minimal for upstream's PGP public key.
  * Use "BSD-2-clause" as the short license name in the copyright file.
  * Point Vcs-Git and Vcs-Browser to the GitLab repository after
    the migration from Gitorious and change both to HTTPS URLs.
  * Declare compliance with Debian Policy 3.9.8 with no changes.
  * Add an upstream metadata file.
  * Bump the year on my debian/* copyright notice.
  * Bump the debhelper compatibility level to 10:
    - bump the version of the debhelper B-D to 9.20160403~
    - drop the --parallel option from the dh invocation (enabled by default)
    - override the "experimental debhelper version" Lintian warning
  * New upstream release:
    - fix a FTBFS with new versions of glibc by replacing the _GNU_SOURCE and
      _BSD_SOURCE feature macros with _POSIX_C_SOURCE and _XOPEN_SOURCE
    - install all the tests as examples, not just the *.ini files used by them
    - teach the manpage test about compressed manual pages so that it may be
      run on a system where confget has been installed, e.g. via autopkgtest
    - allow passing linker flags for Large File Support, too
  * Update the upstream copyright years in the copyright file.
  * Add an autopkgtest suite running the installed tests.
  * Look for a *.tar.bz2 tarball in the watch file and bump the version to 4.
  * Fold the upstream source into a single Files section in the copyright file.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 11 Apr 2016 12:47:31 +0300

confget (1.05-1) unstable; urgency=medium

  * Update the copyright file:
    - convert it to the 1.0 format
    - separate lists of copyrighted files with whitespace, not commas
    - bump the year of my copyright notice
    - fix the upstream homepage location
  * Bump Standards-Version to 3.9.5 with no changes.
  * Bump the debhelper compatibility level to 9 with no changes.
  * Get the hardening options directly from debhelper:
    - remove the build dependency on hardening-includes
    - no longer include the hardening Makefile snippet into the rules file
    - explicitly enable all the hardening features; they may be disabled
      in the future if confget should fail to build anywhere
    - use DEB_CFLAGS_MAINT_APPEND to, well, append to CFLAGS
  * Enable parallel building - not that it matters a lot in this case :)
  * New upstream release:
    - honors CPPFLAGS now, so the hardening flags may be passed as-is
    - autodetects getline(3) support, so no need for CFLAGS_CONF
    - renames PCRE_CFLAGS to PCRE_CPPFLAGS, so follow suit
    - update the copyright years in the copyright file
    - follow upstream and switch from -ansi to -std=c99
  * Remove the obsolete DM-Upload-Allowed field.
  * Drop the source compression options; dpkg-dev's defaults are good enough.
  * Update the watch file after the devel.ringlet.net website change.
  * Let uscan verify upstream's signature against my own key.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 23 Aug 2014 12:07:22 +0300

confget (1.03-1) unstable; urgency=low

  * New upstream release:
    - allow spaces in INI file section names.  Closes: #632400
    - update the copyright years in debian/copyright
  * Bump Standards-Version to 3.9.2 with no changes.
  * Update the copyright file to the latest DEP 5 candidate format and
    fix the DEP 5 URL after the Alioth migration.
  * Add Multi-Arch: foreign to the binary package.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 06 Jul 2011 19:52:10 +0300

confget (1.02-5) unstable; urgency=low

  * Update the copyright file to the latest DEP 5 candidate format and
    bump the year of my copyright notice.
  * Upload to unstable.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 08 Feb 2011 17:30:54 +0200

confget (1.02-4) experimental; urgency=low

  * Switch to Git and point the Vcs-* fields to Gitorious.
  * Bump Standards-Version to 3.9.1 with no changes.
  * Switch to bzip2 compression for the Debian tarball.
  * Fix the formatting of the copyright file - Maintainer at the top,
    no Author in the file stanzas.
  * Wrap the Build-Depends line.
  * Turn on the build hardening by default.
  * Use the hardening-includes package instead of hardening-wrapper so that
    the hardening flags are visible in CFLAGS and LDFLAGS.
  * Bump the debhelper compatibility level to 8 with no changes.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 24 Dec 2010 16:26:38 +0200

confget (1.02-3) unstable; urgency=low

  * Simplify the rules file by removing the useless diffsrc target;
    it was intended for my own use, but its time has long passed.
  * Simplify the rules file even more by using debhelper override rules.
  * Bump Standards-Version to 3.8.4 with no changes.
  * Switch to the 3.0 (quilt) source format - we don't have any patches,
    but I still like its debian.tar.gz distribution mode.
  * Bump the copyright years on the Debian packaging.
  * Drop the groff dependency - europs.tmac was moved into
    groff-base-1.20.1-6 and our test suite works again.
  * Update the copyright file to DEP 5 rev. 135:
    - declare the public domain status in the Copyright clause, too
    - use BSD instead of BSD-2
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to obtain CFLAGS, CPPFLAGS,
    and LDFLAGS instead of depending on dpkg-buildpackage to provide them.
  * Shorten the Vcs-Browser URL.
  * Bump Standards-Version to 3.9.0 with no changes.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 28 Jun 2010 17:38:07 +0300

confget (1.02-2) unstable; urgency=low

  * Only enable the hardening wrapper conditionally.
  * Bump Standards-Version to 3.8.2 with no changes.
  * Remove the useless "configure" target from the rules file.
  * In the copyright file, break out the license in a separate section and
    declare compatibility with the current revision of DEP 5.
  * Add groff as a build dependency for the test suite; groff-base seems
    to not be enough any longer.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 11 Aug 2009 15:42:47 +0300

confget (1.02-1) unstable; urgency=low

  * New upstream version.
  * Specify the examples directory location at install time.
  * Update the copyright file.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 21 Mar 2009 19:28:39 +0200

confget (1.01-1) unstable; urgency=low

  * Initial release. Closes: #502543.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 17 Mar 2009 18:10:35 +0200
